{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Se connecter
{% endblock %}

{% block header %}{% endblock %}

{% block main %}
<form method="POST" class="shadow rounded px-4 py-3">
    <h1 class="text-2xl font-semibold text-center mb-4">Se connecter</h1>

    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre identifiant</label>
        <input id="student_number" name="username" type="text" required placeholder="Écrivez votre identifiant ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Votre mot de passe</label>
        <div class="flex relative">
            <input id="password" name="password" type="password" required placeholder="Écrivez votre mot de passe ici"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
            <i class="uil uil-eye-slash toggle absolute right-2 top-0 bottom-0 flex items-center cursor-pointer"></i>
        </div>
    </div>



    <div class="ml-2"></div>



    {% if error %}
    <p class="text-center text-red-500 mt-5">
        {{ error }}
    </p>
    {% endif %}

    <button type="submit"
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
        Se connecter
    </button>
    <a href="{{ url_for('reset_password') }}" class="mx-auto flex w-fit hover:text-[var(--blue)]">Mot de passe oublié
        ?</a>
    <a href="{{ url_for('signup') }}" class="mx-auto flex w-fit hover:text-[var(--blue)]">Pas encore de compte ? Créer
        un compte.</a>
</form>

<script>
    const toggle = document.querySelector(".toggle"),
        input = document.querySelector("#password");

    toggle.addEventListener("click", () => {
        if (input.type === "password") {
            input.type = "text";
            toggle
                .classList
                .replace("uil-eye-slash", "uil-eye");
        } else {
            input.type = "password";
            toggle
                .classList
                .replace("uil-eye", "uil-eye-slash");
        }
    })
</script>
</body>
{% endblock %}

{% block footer %}{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}